Menu

Polar Flow app compatibility with Polar V650

Polar V650 is compatible with the Polar Flow app v.3.0 and later for iOS. You'll also need firmware version 1.4.5 or later on your V650 to be able to use it with Flow app. Polar FlowSync will offer the update when you connect V650 to your computer with the provided USB cable.

iOS devices

iOS mobile devices with iOS 11 or later.

Android devices

Currently syncing data between Polar V650 and Polar Flow app only works with some devices. There are several combinations of hardware and software solutions on the market at the moment, and we have been able to verify that with some devices syncing with V650 works well. Unfortunately were are not able to guarantee that syncing is consistent with all devices which meet the technical requirements. 

The Polar V650 mobile sync is possible only with Android devices that meet the following requirements:

  • The device runs on Android version 5.0 or newer.
  • The device can function as a Bluetooth low energy peripheral, allowing the Android device to advertise its presence to a device wanting to connect.

The Polar Flow app is not available on Windows Phone platform.

Contact Us
Contact Us
Request repair
Request repair

Change region

If your country is not listed on this page, please find your local contact details, retailers and stores and service points on our global site.